# 
# * 5.6 Вложенные циклы
# 

"""
Подвиг 1. Вводится натуральное число N (то есть, положительное, целое).
Требуется создать двумерный (вложенный) список размером N x N элементов,
состоящий из всех единиц, а затем, в последний столбец записать пятерки.
Вывести этот список на экран в виде таблицы чисел, как показано в примере ниже.
P.S. Будьте внимательны в конце строк пробелов быть не должно!
Sample Input:
4
Sample Output:
1 1 1 5
1 1 1 5
1 1 1 5
1 1 1 5
"""

# N = int(input())
# for _ in range(N):
#     r = []
#     for j in range(N):
#         el = 1 if j < N -1 else 5
#         r.append(el)
#     print(*r)

"""
Подвиг 2. Вводится список из URL-адресов (каждый с новой строки).
Требуется в них заменить все пробелы на символ дефиса (-).
Следует учесть, что может быть несколько подряд идущих пробелов.
Результат преобразования вывести на экран в виде строк из URL-адресов.
P. S. Для считывания списка целиком в программе уже записаны начальные строчки.
Sample Input:
django chto  eto takoe    poryadok ustanovki
model mtv   marshrutizaciya funkcii  predstavleniya
marshrutizaciya  obrabotka isklyucheniy       zaprosov perenapravleniya
Sample Output:
django-chto-eto-takoe-poryadok-ustanovki
model-mtv-marshrutizaciya-funkcii-predstavleniya
marshrutizaciya-obrabotka-isklyucheniy-zaprosov-perenapravleniya
"""
# import sys

# # считывание списка из входного потока
# lst_in = list(map(str.strip, sys.stdin.readlines()))

# # здесь продолжайте программу (используйте список lst_in)
# for s in lst_in:
#     while s.count('  '):
#         s = s.replace('  ', ' ')
#     print(s.replace(' ', '-'))

"""
Подвиг 3. Вводится натуральное число n. Необходимо найти все простые числа,
которые меньше этого числа n, то есть, в диапазоне [2; n).
Результат вывести на экран в строчку через пробел.
Sample Input:
11
Sample Output:
2 3 5 7
"""
# n = int(input())
# for i in range(2,n):
#     is_simple = True
#     for j in range(2,i):
#         if i % j == 0:
#             is_simple = False
#             break
#     if is_simple:
#         print(i, end=' ')

'''
Подвиг 4. Вводится двумерный список размерностью 5 х 5 элементов,
состоящий из нулей и, в некоторых позициях, единиц (см. пример ввода ниже).
Требуется проверить, не касаются ли единицы друг друга по горизонтали, вертикали и диагонали.
То есть, вокруг каждой единицы должны быть нули. Если проверка проходит вывести ДА, иначе - НЕТ.
P. S. Для считывания списка целиком в программе уже записаны начальные строчки.
Sample Input:
1 0 0 0 0
0 0 1 0 1
0 0 0 0 0
0 1 0 1 0
0 0 0 0 0
Sample Output:
ДА
'''

# import sys
# # считывание списка из входного потока
# s = sys.stdin.readlines()
# lst_in = [list(map(int, x.strip().split())) for x in s]
# # здесь продолжайте программу (используйте список lst_in)
# is_flag = True
# for i in range(4):
#     for j in range(4):
#         if lst_in[i][j] + lst_in[i + 1][j] + lst_in[i][j + 1] +lst_in[i + 1][j + 1] > 1:
#             is_flag = False
#             break
#     if not is_flag:
#         break
# if is_flag:
#     print('ДА')
# else:
#     print('НЕТ')

"""
Подвиг 5. Вводится двумерный список размерностью 5 х 5 элементов,
состоящий из целых чисел (пример ввода см. ниже).
Проверьте, является ли этот двумерный список симметричным относительно главной диагонали.
Главная диагональ — та, которая идёт из левого верхнего угла двумерного массива в правый нижний.
Выведите на экран ДА, если матрица симметрична и НЕТ - в противном случае.

P. S. Для считывания списка целиком в программе уже записаны начальные строчки.
Sample Input:
2 3 4 5 6
3 2 7 8 9
4 7 2 0 4
5 8 0 2 1
6 9 4 1 2
Sample Output:
ДА
"""
# import sys

# # считывание списка из входного потока
# s = sys.stdin.readlines()
# lst_in = [list(map(int, x.strip().split())) for x in s]

# # здесь продолжайте программу (используйте список lst_in)
# is_flag = True
# for i in range(5):
#     for j in range(i, 5):
#         if lst_in[i][j] != lst_in[j][i]:
#             is_flag = False
#             break
#     if not is_flag:
#         break
# if is_flag:
#     print('ДА')
# else:
#     print('НЕТ')

'''
Большой подвиг 6. Вводится список целых чисел в одну строку через пробел.
Необходимо выполнить его сортировку выбором по возрастанию (неубыванию).
Идея алгоритма очень проста и проиллюстрирована на рисунке ниже.
Вначале мы рассматриваем первый элемент списка и ищем второй минимальный
относительно первого элемента (включая и его). На рисунке - это последний
элемент со значением -1. Затем, меняем местами первый и последний элементы.
Переходим ко второму элементу списка и повторяем эту же процедуру,
но относительно второго элемента (то есть, первый уже не рассматриваем).
На рисунке минимальный элемент - это 2, поэтому менять местами здесь ничего не нужно.
Переходим к 3-му элементы со значением 6. Относительно него находим минимальный элемент - это 3.
Меняем их местами. 
Вот идея алгоритма сортировки выбором. Реализуйте его для вводимого списка целых чисел.
Результат выведите в виде списка чисел одну строку через пробел.
Sample Input:
8 11 -53 2 10 11
Sample Output:
-53 2 8 10 11 11
'''
# n = list(map(int, input().split()))

# for i, val in enumerate(n):
#     m = i
#     for j in range(i,len(n)):
#         if n[j] < n[m]:
#             m = j
#     n[i], n[m] = n[m], n[i]

# print(*n)

'''
Большой подвиг 7. Вводится список целых чисел в одну строку через пробел.
Необходимо выполнить его сортировку по возрастанию (неубыванию) методом
всплывающего пузырька. Идея алгоритма проста и показана на рисунке ниже.
При первом проходе перебираем все соседние пары элементов и если значение
предыдущего элемента (слева) больше значения следующего (справа), то они
меняются местами. (На рисунке 3 и 2 меняются местами). Следующая пара - 
это 3 и 6. Они уже выстроены по возрастанию, поэтому ничего не делаем и
переходим к следующей паре 6 и -1. Меняем значения местами и видим,
что на последнем месте находится максимальное значение 6, что нам и нужно.
При втором проходе делаем все то же самое, но доходим до предпоследнего
элемента, так как последнее значение 6 уже отсортировано.
На третьем проходе исключаем уже последние два элемента и так далее.
То есть, в этом алгоритме достаточно сделать N-1 проходов, где N - длина списка.
Вот идея алгоритма сортировки всплывающего пузырька. Реализуйте его для
вводимого списка целых чисел. Результат выведите в виде списка чисел одну
строку через пробел.
Sample Input:
4 5 2 0 6 3 -56 3 -1
Sample Output:
-56 -1 0 2 3 3 4 5 6
'''
# n = list(map(int, input().split()))

# for _ in range(1,len(n)):
#     for i in range(1,len(n)):
#         if n[i -1] > n[i]:
#             n[i -1], n[i] = n[i], n[i -1]
# print(*n)

'''
Подвиг 8. В некоторой стране используются денежные купюры достоинством
в 1, 2, 4, 8, 16, 32 и 64.
Вводится натуральное число n. Как наименьшим количеством таких денежных купюр
можно выплатить сумму n? Вывести на экран список купюр для формирования суммы n
(в одну строчку через пробел, начиная с наибольшей и заканчивая наименьшей).
Предполагается, что имеется достаточно большое количество купюр всех достоинств.
Sample Input:
221
Sample Output:
64 64 64 16 8 4 1
'''
nominals = [64, 32, 16, 8 ,4, 2, 1]
s = int(input())
sn = s
res = []
for nominal in nominals:
    res.extend(nominal for _ in range(sn // nominal))
    sn = sn % nominal
print(*res)